Bug 1252529 - Review Request: perl-Test-MemoryGrowth - Assert that code does not cause growth in memory usage
Review Request: perl-Test-MemoryGrowth - Assert that code does not cause grow...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 11:55 EDT by Petr Šabata
Modified: 2015-09-18 15:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.02-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 20:22:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-08-11 11:55:16 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Test-MemoryGrowth/perl-Test-MemoryGrowth.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Test-MemoryGrowth/perl-Test-MemoryGrowth-0.02-1.fc22.src.rpm
Description:
This module provides a function to check that a given block of code does
not result in the process consuming extra memory once it has finished.
Despite the name of this module it does not, in the strictest sense of the
word, test for a memory leak: that term is specifically applied to cases
where memory has been allocated but all record of it has been lost, so it
cannot possibly be reclaimed. While the method employed by this module can
detect such bugs, it can also detect cases where memory is still referenced
and reachable, but the usage has grown more than would be expected or
necessary.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-08-12 10:22:19 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Test-MemoryGrowth-0.02-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Test::Builder::Module)
      1 perl(base)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Test-MemoryGrowth-0.02-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Test::MemoryGrowth) = 0.02
      1 perl-Test-MemoryGrowth = 0.02-1.fc24

Binary provides are Ok.

$ rpmlint perl-Test-MemoryGrowth*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

Package is APPROVED.
Comment 2 Petr Šabata 2015-08-12 10:35:50 EDT
New Package SCM Request
=======================
Package Name: perl-Test-MemoryGrowth
Short Description: Assert that code does not cause growth in memory usage
Upstream URL: http://search.cpan.org/dist/Test-MemoryGrowth/
Owners: psabata jplesnik ppisar
Branches: f22 f23
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-08-17 09:40:25 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2015-08-17 10:23:07 EDT
perl-Test-MemoryGrowth-0.02-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/perl-Test-MemoryGrowth-0.02-1.fc23
Comment 5 Fedora Update System 2015-08-17 10:23:24 EDT
perl-Test-MemoryGrowth-0.02-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Test-MemoryGrowth-0.02-1.fc22
Comment 6 Fedora Update System 2015-09-08 20:22:35 EDT
perl-Test-MemoryGrowth-0.02-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-18 15:02:42 EDT
perl-Test-MemoryGrowth-0.02-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.